For the complete documentation index, see llms.txt. This page is also available as Markdown.

Budget Limit Management

Manage company budget limits.

List budget limits for a company

get

Retrieve all budget limits for a specific company.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
companyIdstringRequired

The UUID of the company.

Query parameters
limitinteger · uint32 · min: 1Optional

Maximum number of items to return.

offsetinteger · uint32Optional

Number of items to skip.

Responses
200

A list of company budget limits.

application/json
totalintegerOptionalExample: 1
get/v1/companies/{companyId}/budget_limits
GET /v1/companies/{companyId}/budget_limits HTTP/1.1
Host: api.nexos.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "items": [
    {
      "company_uuid": "text",
      "target_type": "company",
      "target_uuid": "text",
      "limit_type": "general",
      "is_renewed": true,
      "value": 1,
      "created_at": "2026-01-01T00:00:00.000Z",
      "updated_at": "2026-01-01T00:00:00.000Z"
    }
  ],
  "total": 1
}

Upsert a budget limit

put

Create or update a budget limit for a company.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
companyIdstringRequired

The UUID of the company.

Body
target_typestring · enumRequired

The target type of the budget limit (only team or user are supported).

Possible values:
target_uuidstringRequired

The UUID of the target (team or user). Empty string for default budget

limit_typestring · enumRequired

The type of budget limit.

Possible values:
is_renewedbooleanRequired

Whether the budget limit is renewed periodically.

valueinteger · int64 · nullableRequired

The budget limit value.

Responses
200

A single company budget limit.

application/json
company_uuidstringRequired

The UUID of the company.

target_typestring · enumRequired

The target type of the budget limit. Only team or user are supported for new limits.

Possible values:
target_uuidstringRequired

The UUID of the target (team or user).

limit_typestring · enumRequired

The type of budget limit.

Possible values:
is_renewedbooleanRequired

Whether the budget limit is renewed periodically.

valuenumber · doubleOptional

The budget limit value.

created_atstring · date-timeRequired

When the budget limit was created.

updated_atstring · date-timeRequired

When the budget limit was last updated.

put/v1/companies/{companyId}/budget_limits
PUT /v1/companies/{companyId}/budget_limits HTTP/1.1
Host: api.nexos.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 94

{
  "target_type": "team",
  "target_uuid": "text",
  "limit_type": "general",
  "is_renewed": true,
  "value": 1
}
{
  "company_uuid": "text",
  "target_type": "company",
  "target_uuid": "text",
  "limit_type": "general",
  "is_renewed": true,
  "value": 1,
  "created_at": "2026-01-01T00:00:00.000Z",
  "updated_at": "2026-01-01T00:00:00.000Z"
}

Delete a budget limit

delete

Delete a specific budget limit for a company.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
companyIdstringRequired

The UUID of the company.

Body
target_typestring · enumRequired

The target type of the budget limit (only team or user are supported).

Possible values:
target_uuidstringRequired

The UUID of the target (team or user).

limit_typestring · enumRequired

The type of budget limit.

Possible values:
Responses
204

Budget limit deleted successfully.

No content

delete/v1/companies/{companyId}/budget_limits
DELETE /v1/companies/{companyId}/budget_limits HTTP/1.1
Host: api.nexos.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 66

{
  "target_type": "team",
  "target_uuid": "text",
  "limit_type": "general"
}

No content

Bulk upsert and delete budget limits

put

Apply many budget-limit changes for a company in a single call. Each item is upserted by default; items with remove: true delete the matching row identified by (company_uuid, target_type, target_uuid, limit_type).

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
companyIdstringRequired

The UUID of the company.

Body
Responses
200

A list of company budget limits.

application/json
totalintegerOptionalExample: 1
put/v1/companies/{companyId}/budget_limits/bulk
PUT /v1/companies/{companyId}/budget_limits/bulk HTTP/1.1
Host: api.nexos.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 120

{
  "items": [
    {
      "target_type": "team",
      "target_uuid": "text",
      "limit_type": "general",
      "is_renewed": true,
      "value": 1,
      "remove": true
    }
  ]
}
{
  "items": [
    {
      "company_uuid": "text",
      "target_type": "company",
      "target_uuid": "text",
      "limit_type": "general",
      "is_renewed": true,
      "value": 1,
      "created_at": "2026-01-01T00:00:00.000Z",
      "updated_at": "2026-01-01T00:00:00.000Z"
    }
  ],
  "total": 1
}

Last updated